| #!/bin/sh |
| # |
| # Startup script for ser2net |
| # |
| |
| start() { |
| printf "Starting ser2net: " |
| if [ ! -f /etc/ser2net.conf ] && [ ! -f /etc/ser2net/ser2net.yaml ] ; then |
| echo "no configuration file" |
| exit 1 |
| fi |
| |
| start-stop-daemon -S -q --exec /usr/sbin/ser2net -- -P /var/run/ser2net.pid |
| [ $? = 0 ] && echo "OK" || echo "FAIL" |
| } |
| |
| stop() { |
| printf "Shutting down ser2net: " |
| start-stop-daemon -K -q -p /var/run/ser2net.pid |
| [ $? = 0 ] && echo "OK" || echo "FAIL" |
| } |
| |
| restart() { |
| stop |
| start |
| } |
| |
| case "$1" in |
| start) |
| start |
| ;; |
| stop) |
| stop |
| ;; |
| restart) |
| restart |
| ;; |
| *) |
| echo "Usage: ser2net {start|stop|restart}" |
| exit 1 |
| esac |
| |
| exit $? |